[rkward] macports: fixed package extension

m.eik michalke meik.michalke at uni-duesseldorf.de
Mon Jan 4 09:43:59 UTC 2016


Git commit 90db7fcff0af37d6d22626c090e3fbd11634760b by m.eik michalke.
Committed on 04/01/2016 at 09:42.
Pushed by meikm into branch 'master'.

fixed package extension

  - also trying to fix the missing target directory for bundles

M  +4    -4    macports/update_bundle.sh

http://commits.kde.org/rkward/90db7fcff0af37d6d22626c090e3fbd11634760b

diff --git a/macports/update_bundle.sh b/macports/update_bundle.sh
index 94071a9..ca92759 100755
--- a/macports/update_bundle.sh
+++ b/macports/update_bundle.sh
@@ -35,7 +35,7 @@ GITBRANCH="master"
 # specify work directory
 WORKDIR="${SRCPATH}/kde/${PTARGET}/work"
 # specify local public directory
-LPUBDIR="~/Public/rkward"
+LPUBDIR="${HOME}/Public/rkward"
 # specify application dir used
 APPLDIR=/Applications/RKWard
 # specify the prefix for build directories below ${MPTINST}/var/macports/build
@@ -496,7 +496,7 @@ if $MAKEMDMD ; then
 
   # copy the image file to a public directory
   if $COPYMDMD ; then
-    MPKGFILE="${WORKDIR}/${PTARGET}-${PORTVERS}.pkg"
+    MPKGFILE="${WORKDIR}/${PTARGET}-${PORTVERS}.mpkg"
     if $BINARY ; then
       TRGTFILE="${LPUBDIR}/RKWard${PNSUFFX}-${TARGETVERS}_KDE-${KDEVERS}_needs_CRAN_R-${RVERS}.pkg"
     else
@@ -507,7 +507,7 @@ if $MAKEMDMD ; then
       mkdir -p "${LPUBDIR}" || exit 1
     fi
     echo "copying: $MPKGFILE to $TRGTFILE ..."
-    cp -av "${MPKGFILE}" "${TRGTFILE}"
+    cp -av "${MPKGFILE}" "${TRGTFILE}" || exit 1
     echo "done."
   fi
 fi
@@ -535,7 +535,7 @@ if $MKSRCTAR ; then
       mkdir -p "${LPUBDIR}" || exit 1
     fi
     echo "copying: $SRCFILE to $TRGSFILE ..."
-    cp -av "${SRCFILE}" "${TRGSFILE}"
+    cp -av "${SRCFILE}" "${TRGSFILE}" || exit 1
     echo "done."
   fi
 fi



More information about the rkward-tracker mailing list